- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# TAO::Special_Basic_SArg_Traits_T< T, to_T, from_T, Insert_Policy > Struct Template Reference

Template class for skeleton argument traits of (w)char/boolean/octet. More...

`#include <Special_Basic_SArgument_T.h>`

List of all members.

## Public Types
typedef T | ret_type
typedef T | in_type
typedef T & | inout_type
typedef T & | out_type
typedef In_Special_Basic_SArgument_T< T, to_T, from_T, Insert_Policy > | in_arg_val
typedef Inout_Special_Basic_SArgument_T< T, to_T, from_T, Insert_Policy > | inout_arg_val
typedef Out_Special_Basic_SArgument_T< T, to_T, from_T, Insert_Policy > | out_arg_val
typedef Ret_Special_Basic_SArgument_T< T, to_T, from_T, Insert_Policy > | ret_val
typedef T const & | in_arg_type
typedef inout_type | inout_arg_type
typedef out_type | out_arg_type
typedef out_type | ret_arg_type

## Detailed Description

### template<typename T, typename to_T, typename from_T, typename Insert_Policy>
struct TAO::Special_Basic_SArg_Traits_T< T, to_T, from_T, Insert_Policy >

Template class for skeleton argument traits of (w)char/boolean/octet.

## Member Typedef Documentation

template<typename T, typename to_T, typename from_T, typename Insert_Policy>

typedef T const& TAO::Special_Basic_SArg_Traits_T< T, to_T, from_T, Insert_Policy >::in_arg_type

template<typename T, typename to_T, typename from_T, typename Insert_Policy>

typedef In_Special_Basic_SArgument_T<T,to_T,from_T,Insert_Policy> TAO::Special_Basic_SArg_Traits_T< T, to_T, from_T, Insert_Policy >::in_arg_val

template<typename T, typename to_T, typename from_T, typename Insert_Policy>

typedef T TAO::Special_Basic_SArg_Traits_T< T, to_T, from_T, Insert_Policy >::in_type

template<typename T, typename to_T, typename from_T, typename Insert_Policy>

typedef inout_type TAO::Special_Basic_SArg_Traits_T< T, to_T, from_T, Insert_Policy >::inout_arg_type

template<typename T, typename to_T, typename from_T, typename Insert_Policy>

typedef Inout_Special_Basic_SArgument_T<T,to_T,from_T,Insert_Policy> TAO::Special_Basic_SArg_Traits_T< T, to_T, from_T, Insert_Policy >::inout_arg_val

template<typename T, typename to_T, typename from_T, typename Insert_Policy>

typedef T& TAO::Special_Basic_SArg_Traits_T< T, to_T, from_T, Insert_Policy >::inout_type

template<typename T, typename to_T, typename from_T, typename Insert_Policy>

typedef out_type TAO::Special_Basic_SArg_Traits_T< T, to_T, from_T, Insert_Policy >::out_arg_type

template<typename T, typename to_T, typename from_T, typename Insert_Policy>

typedef Out_Special_Basic_SArgument_T<T,to_T,from_T,Insert_Policy> TAO::Special_Basic_SArg_Traits_T< T, to_T, from_T, Insert_Policy >::out_arg_val

template<typename T, typename to_T, typename from_T, typename Insert_Policy>

typedef T& TAO::Special_Basic_SArg_Traits_T< T, to_T, from_T, Insert_Policy >::out_type

template<typename T, typename to_T, typename from_T, typename Insert_Policy>

typedef out_type TAO::Special_Basic_SArg_Traits_T< T, to_T, from_T, Insert_Policy >::ret_arg_type

template<typename T, typename to_T, typename from_T, typename Insert_Policy>

typedef T TAO::Special_Basic_SArg_Traits_T< T, to_T, from_T, Insert_Policy >::ret_type

template<typename T, typename to_T, typename from_T, typename Insert_Policy>

typedef Ret_Special_Basic_SArgument_T<T,to_T,from_T,Insert_Policy> TAO::Special_Basic_SArg_Traits_T< T, to_T, from_T, Insert_Policy >::ret_val

The documentation for this struct was generated from the following file:

- Special_Basic_SArgument_T.h